Mailinglist Archive: opensuse-factory (702 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20160130 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20160130

Packages changed:
apache-commons-logging (1.1.3 -> 1.2)
babl (0.1.12 -> 0.1.14)
biosdevname (0.6.2 -> 0.7.1)
crash (7.1.3_k4.4.0_2 -> 7.1.4_k4.4.0_2)
dhcp (4.3.3 -> 4.3.3.P1)
digikam
fuse (2.9.4 -> 2.9.5)
gegl
libinput (1.1.4 -> 1.1.5)
libxcb
openldap2 (2.4.42 -> 2.4.43)
openldap2-client (2.4.42 -> 2.4.43)
pinentry
privoxy (3.0.23 -> 3.0.24)
python-keyring (5.7 -> 7.1.2)
python3-six
vim (7.4.1087 -> 7.4.1194)

=== Details ===

==== apache-commons-logging ====
Version update (1.1.3 -> 1.2)

- Update to version 1.2
see http://commons.apache.org/proper/commons-logging/changes-report.html
or RELEASE-NOTES.txt for details

==== babl ====
Version update (0.1.12 -> 0.1.14)

- Update to version 0.1.14:
+ sRGB precision tuning
+ Stability fixes
+ Locale fix for setting error tolerance.

==== biosdevname ====
Version update (0.6.2 -> 0.7.1)

- Update to 0.7.1
* no upstream changelog provided

==== crash ====
Version update (7.1.3_k4.4.0_2 -> 7.1.4_k4.4.0_2)

- Upgrade to 7.1.4 from upstream. For a detailed changelog see
http://people.redhat.com/anderson/crash.changelog.html

==== dhcp ====
Version update (4.3.3 -> 4.3.3.P1)
Subpackages: dhcp-client dhcp-doc dhcp-relay dhcp-server

- Update to dhcp-4.3.3-P1 correcting bounds checking when
receiving a packet (bsc#961305,CVE-2015-8605,ISC-Bugs#41267).
- adjusted interval check.
[*0019-dhcp-4.2.4-P1-interval.patch]
- Fixed improper lease duration checking. Also added fixes for integer
overflows in the date and time handling code(bsc#936923, bsc#880984).
[+0020-dhcp-4.x.x-fixed-improper-lease-duration-checking.patch]
- fixed service files to start dhcpd after slapd (bsc#956159)
- dhclient-script: complain in the log about conflicts, added
a see log messages to the dhclient log message (bsc#960506)
[* 0018-client-fail-on-script-pre-init-error-bsc-912098.patch]

==== digikam ====
Subpackages: digikam-lang digikam-libs kipi-plugins kipi-plugins-acquireimage
kipi-plugins-geolocation kipi-plugins-lang

- Split out the five plugins that upstream ships with a
metainfo.xml file: color, decorate, enhance, fxfilters and
transform. All new subpackages for now supplement the main
package (which is equal to the main package recommending them).
- Add symlinks for solid actions so Plasma5 can use digikam to
import images from the device notifier applet

==== fuse ====
Version update (2.9.4 -> 2.9.5)
Subpackages: libfuse2

- fuse 2.9.5:
* fix warning in mount.c:receive_fd().
* fix possible memory leak.
* new upstream project and source URL
* add new maintainer keyring and verify source signature

==== gegl ====
Subpackages: gegl-0_2 gegl-0_2-lang libgegl-0_2-0

- Add gegl-0.2.0-linker-flags.patch to add -lm to linker flags

==== libinput ====
Version update (1.1.4 -> 1.1.5)
Subpackages: libinput-devel libinput-udev libinput10

- Update to version 1.1.5:
* This release fixes a disable-while-typing issue on the Macbook
Pro and works around some middle-finger tap issues on semi-mt
devices. Unfortunately, due to the inconsistent (and often
garbage) data that semi-mt touchpads send we had to resort to
disabling pinch gestures on those devices to make three-finger
taps reliable.

==== libxcb ====
Subpackages: libxcb-composite0 libxcb-damage0 libxcb-devel libxcb-dpms0
libxcb-dri2-0 libxcb-dri2-0-32bit libxcb-dri3-0 libxcb-dri3-0-32bit libxcb-glx0
libxcb-glx0-32bit libxcb-present0 libxcb-present0-32bit libxcb-randr0
libxcb-record0 libxcb-render0 libxcb-render0-32bit libxcb-res0
libxcb-screensaver0 libxcb-shape0 libxcb-shm0 libxcb-shm0-32bit libxcb-sync1
libxcb-sync1-32bit libxcb-xevie0 libxcb-xf86dri0 libxcb-xfixes0
libxcb-xfixes0-32bit libxcb-xinerama0 libxcb-xkb1 libxcb-xprint0 libxcb-xtest0
libxcb-xv0 libxcb-xvmc0 libxcb1 libxcb1-32bit

-
n_If-auth-with-credentials-for-hostname-fails-retry-with-XAUTHLOCALHOSTNAME.patch:
If auth with credentials for hostname fails retry with XAUTHLOCALHOSTNAME
(boo#906622).

==== openldap2 ====
Version update (2.4.42 -> 2.4.43)

- Relabel patch 0011-Enforce-minimum-DH-size-of-1024.patch
into 0010-Enforce-minimum-DH-size-of-1024.patch
- Upgrade to upstream 2.4.43 release with accumulated bug fixes.
- Still build on SLES12
- Loadable backend and overlay modules are now installed
into arch-specific path %{_libdir}/openldap
- All backends and overlays as modules for smaller memory footprint
on memory constrained systems
- Added extra package for back-sock
- Consequent use of %{_rundir} everywhere
- Rely on upstream ./configure script instead of any other
macro foo
- Dropped linking with libwrap
- Dropped 0004-libldap-use-gethostbyname_r.dif because this
work-around for nss_ldap is obsolete
- New sub-package openldap2-contrib with selected contrib/ overlays
- Replaced addonschema.tar.gz with separate schema sources
- Updated ldapns.schema from recent slapo-nssov source tree
- Added symbolic link to slapd executable in /usr/sbin/
- Added more complex example configuration file
/etc/openldap/slapd.conf.example
- Set OPENLDAP_START_LDAPI="yes" in /etc/sysconfig/openldap
- Set OPENLDAP_REGISTER_SLP="no" in /etc/sysconfig/openldap
- Added patch for OpenLDAP ITS#7796 to avoid excessive
"not index" logging:
0011-openldap-re24-its7796.patch
- Replaced openldap-rc.tgz with single source files
- Added soft dependency (Recommends) to cyrus-sasl
- Added soft dependency (Recommends) to cyrus-sasl-devel
to openldap2-devel
- Added patch for OpenLDAP ITS#8336 (assert in liblmdb):
0012-openldap-re24-its8336.patch
- Remove obsolete patch 0001-build-adjustments.dif

==== openldap2-client ====
Version update (2.4.42 -> 2.4.43)
Subpackages: libldap-2_4-2 libldap-2_4-2-32bit openldap2-devel

- Relabel patch 0011-Enforce-minimum-DH-size-of-1024.patch
into 0010-Enforce-minimum-DH-size-of-1024.patch
- Upgrade to upstream 2.4.43 release with accumulated bug fixes.
- Still build on SLES12
- Loadable backend and overlay modules are now installed
into arch-specific path %{_libdir}/openldap
- All backends and overlays as modules for smaller memory footprint
on memory constrained systems
- Added extra package for back-sock
- Consequent use of %{_rundir} everywhere
- Rely on upstream ./configure script instead of any other
macro foo
- Dropped linking with libwrap
- Dropped 0004-libldap-use-gethostbyname_r.dif because this
work-around for nss_ldap is obsolete
- New sub-package openldap2-contrib with selected contrib/ overlays
- Replaced addonschema.tar.gz with separate schema sources
- Updated ldapns.schema from recent slapo-nssov source tree
- Added symbolic link to slapd executable in /usr/sbin/
- Added more complex example configuration file
/etc/openldap/slapd.conf.example
- Set OPENLDAP_START_LDAPI="yes" in /etc/sysconfig/openldap
- Set OPENLDAP_REGISTER_SLP="no" in /etc/sysconfig/openldap
- Added patch for OpenLDAP ITS#7796 to avoid excessive
"not index" logging:
0011-openldap-re24-its7796.patch
- Replaced openldap-rc.tgz with single source files
- Added soft dependency (Recommends) to cyrus-sasl
- Added soft dependency (Recommends) to cyrus-sasl-devel
to openldap2-devel
- Added patch for OpenLDAP ITS#8336 (assert in liblmdb):
0012-openldap-re24-its8336.patch
- Remove obsolete patch 0001-build-adjustments.dif

==== pinentry ====
Subpackages: pinentry-gnome3 pinentry-gtk2 pinentry-qt5

- completely rename to qt5 [boo#962076]
- fix self-deprecation rpmlint warning

==== privoxy ====
Version update (3.0.23 -> 3.0.24)

- Privoxy 3.0.24
Includes fixes for two security issues that may be used to
remotely trigger crashes on platforms that carefully check memory
accesses.
* Security fixes (denial of service):
+ Prevent invalid reads in case of corrupt chunk-encoded
content. CVE-2016-1982 [boo#963151]
+ Remove empty Host headers in client requests. Previously
they would result in invalid reads. CVE-2016-1983 [boo#963152]
* General bug fixes and improvements
* White and blacklist updates

==== python-keyring ====
Version update (5.7 -> 7.1.2)

- update to upstream release 7.1.2
- require Python 2.7+
- require python-setuptools_scm 1.9+
7.1
* Issue #186: Removed preference for keyrings based on
``XDG_CURRENT_DESKTOP`` as these values are to varied
to be a reliable indicator of which keyring implementation
might be preferable.
7.0.2
* Issue #187: Restore ``Keyring`` name in ``kwallet`` backend.
Users of keyring 6.1 or later should prefer an explicit reference
to DBusKeyring or QtKeyring instead.
7.0.1
* Issue #183 and Issue #185: Gnome keyring no longer relies
on environment variables, but instead relies on the GnomeKeyring
library to determine viability.
7.0
* Issue #99: Keyring now expects the config file to be located
in the XDG_CONFIG_HOME rather than XDG_DATA_HOME and will
fail to start if the config is found in the old location but not
the new. On systems where the two locations are distinct,
simply copy or symlink the config to remain compatible with
older versions or move the file to work only with 7.0 and later.
* Replaced Pull Request #182 with a conditional SessionBus
construction, based on subsequent discussion.
6.1.1
* Pull Request #182: Prevent DBus from indicating as a viable
backend when no viable X DISPLAY variable is present.
6.1
* Pull Request #174: Add DBus backend for KWallet, preferred to Qt
backend. Theoretically, it should be auto-detected based on
available libraries and interchangeable with the Qt backend.
6.0
* Drop support for Python 2.6.
5.7.1
* Updated project metadata to match Github hosting and
generally refreshed the metadata structure to match
practices with other projects.

==== python3-six ====

- Fix issue with directory -> folder cpio error

==== vim ====
Version update (7.4.1087 -> 7.4.1194)
Subpackages: gvim vim-data

- Updated to revision 1194, fixes the following problems
* New lines in the viminfo file are dropped.
* Old style tests for the argument list.
* Generated function prototypes still have __ARGS().
* Wrong argument to assert_exception() causes a crash.
* Illegal memory access when using :copen and :cclose.
* When running gvim in the foreground some icons are missing.
* Recognizing <sid> does not work when the language is Turkish.
* Using searchpair() with a skip expression that uses syntax
highlighting sometimes doesn't work.
* Cannot define keyword characters for a syntax file.
* Can't sort on floating point numbers.
* Default features are conservative.
* Conflict for "chartab".
* Using the local value of 'errorformat' causes more problems than it solves.
* 'langmap' applies to the first character typed in Select mode.
* Langmap test fails with normal build.
* Autocommands triggered by quickfix cannot always get the current title
value.
* No support for JSON.
* Build with normal features fails.
* Coverity warns for NULL pointer and ignoring return value.
* type() does not work for v:true, v:none, etc.
* Automatically generated function prototypes use __ARGS.
* No error for jsondecode('"').
* ":argadd" without argument is supposed to add the current buffer name to
the arglist.
* Missing error number in MzScheme.
* Expressions "0 + v:true" and "'' . v:true" cause an error.
* No tests for "is" and "isnot" with the new variables.
* This doesn't give the right result: eval(string(v:true)).
* No test for new behavior of v:true et al.
* The +channel feature is not in :version output.
* empty() doesn't work for the new special variables.
* test_writefile and test_viml do not delete the tempfile.
* Crash with invalid argument to glob2regpat().
* free_tv() can't handle special variables.
* Error messages for security context are hard to translate.
* The channel feature isn't working yet.
* Can't build with FEAT_EVAL but without FEAT_MBYTE.
* Compiler warning for not using return value of fwrite().
- Updated to revision 1130, fixes the following problems
* Repeating CTRL-A doesn't work.
* No tests for :hardcopy and related options.
* When making a change while need_wait_return is set there is a two second
delay.
* With 'rightleft' and concealing the cursor may move to the wrong position.
* Vim can create a directory but not delete it.
* When using ":next" with an illegal file name no error is reported.
* Using {ns} in variable name does not work. (lilydjwg)
* delete() does not work well with symbolic links.
* delete(x, 'rf') does not delete files starting with a dot.
* No longer get "." and ".." in directory list.
* argidx() has a wrong value after ":%argdelete". (Yegappan Lakshmanan)
* delete(x, 'rf') fails if a directory is empty. (Lcd)
* Using ":argadd" when there are no arguments results in the second
argument to be the current one. (Yegappan Lakshmanan)
* There is no perleval().
* Can only get the directory of the current window.
* Python None value can't be converted to a Vim value.
* Memory leak in :vimgrep.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages